2.5. Managing Deployment Override Policy

If a user tries to deploy an artifact with a GAV (Group-Id, Artifact-Id and Version) that already exists in the system, the deployment will fail and an error message will be displayed in the Messages panel.
This feature prevents the user from overwriting an existing deployment by mistake.
By default this feature is enabled, that is, by default the system will prevent the user from overwriting an existing installation with the same GAV.
However, there may be cases when the user may want to overwrite existing deployments with the same GAV. Although you can't enable overwriting on a per-deployment basis, you can set this up for the system as a whole by using the system setting org.kie.override.deploy.enabled. This setting, is false by default. Change it to true to enable overwriting of deployments with the same GAV by providing it at startup time of your server (-Dorg.kie.override.deploy.enabled=true).